OpenTTD Source: SlLinkgraphNode Class Reference

OpenTTD Source 14.0-RC3

Public Member Functions | Static Public Attributes
SlLinkgraphNode Class Reference
Inheritance diagram for SlLinkgraphNode:

## Public Member Functions
void | Save (LinkGraph *lg) const override
void | Load (LinkGraph *lg) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlLinkgraphNode, LinkGraph >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
virtual void | Save ([[maybe_unused]] LinkGraph *object) const
void | Save (void *object) const override
virtual void | Load ([[maybe_unused]] LinkGraph *object) const
void | Load (void *object) const override
virtual void | LoadCheck ([[maybe_unused]] LinkGraph *object) const
void | LoadCheck (void *object) const override
virtual void | FixPointers ([[maybe_unused]] LinkGraph *object) const
void | FixPointers (void *object) const override
Public Member Functions inherited from SaveLoadHandler
virtual void | Save ([[maybe_unused]] void *object) const
| Save the object to disk. More...
virtual void | Load ([[maybe_unused]] void *object) const
| Load the object from disk. More...
virtual void | LoadCheck ([[maybe_unused]] void *object) const
| Similar to load, but used only to validate savegames. More...
virtual void | FixPointers ([[maybe_unused]] void *object) const
| A post-load callback to fix SL_REF integers into pointers. More...
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Static Public Attributes
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _linkgraph_node_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 96 of file linkgraph_sl.cpp.

## Field Documentation

## ◆ description

const SaveLoad SlLinkgraphNode::description[]
| inlinestatic

Initial value:
= {
SLE_CONDVAR(Node, xy, SLE_UINT32, SLV_191, SL_MAX_VERSION),
SLE_VAR(Node, supply, SLE_UINT32),
SLE_VAR(Node, demand, SLE_UINT32),
SLE_VAR(Node, station, SLE_UINT16),
SLE_VAR(Node, last_update, SLE_INT32),
SLEG_STRUCTLIST("edges", SlLinkgraphEdge),
}

Definition at line 98 of file linkgraph_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/linkgraph_sl.cpp

SLV_191
@ SLV_191
191 26636 FS#6026 Fix disaster vehicle storage (No bump) 191 26646 FS#6041 Linkgraph - store location...
Definition: saveload.h:272
SLE_CONDVAR
#define SLE_CONDVAR(base, variable, type, from, to)
Storage of a variable in some savegame versions.
Definition: saveload.h:848
SlLinkgraphEdge
Definition: linkgraph_sl.cpp:31
SL_MAX_VERSION
@ SL_MAX_VERSION
Highest possible saveload version.
Definition: saveload.h:382
SLE_VAR
#define SLE_VAR(base, variable, type)
Storage of a variable in every version of a savegame.
Definition: saveload.h:952
LinkGraph::BaseNode
Node of the link graph.
Definition: linkgraph.h:90
SLEG_STRUCTLIST
#define SLEG_STRUCTLIST(name, handler)
Storage of a list of structs in every savegame version.
Definition: saveload.h:1182